> ## Documentation Index
> Fetch the complete documentation index at: https://help.kajabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Form submission details

> Shows details of a form submission

## Form Submission Attributes
* `name` (string) - The name of the person who submitted the form
* `email` (string) - The email address of the person who submitted the form
* `address_line_1` (string) - First line of address if provided
* `address_line_2` (string) - Second line of address if provided
* `address_city` (string) - City if provided
* `address_country` (string) - Country if provided
* `address_state` (string) - State if provided
* `address_zip` (string) - ZIP/postal code if provided
* `phone_number` (string) - Phone number if provided
* `business_number` (string) - Business number if provided
* `mobile_phone_number` (string) - Mobile phone number if provided

## Custom Fields
Form submissions may also include custom field values that were collected through the form.

## Relationships
Form submissions belong to:
* A site
* A form

## Include Related Resources
Use the `include` parameter to load related resources:
### Include site and form
* `GET /v1/form_submissions/123?include=site,form`




## OpenAPI

````yaml /openapi.yaml get /v1/form_submissions/{id}
openapi: 3.1.1
info:
  title: Kajabi API V1
  version: 1.0.1
  description: >
    ## Public API

    * Server URL `https://api.kajabi.com`

    * Endpoint paths are prefixed with `/v1`

    * Version endpoint `GET https://api.kajabi.com/v1/version`

    * See the [Developers Site](https://developers.kajabi.com) for documentation
    and examples.

    * Try the demo [Postman
    collection](https://www.postman.com/kajabi-apis/beta-public-api-demo/collection/fg4iyaz/kajabi-public-api-v1)

    ## API Keys

    * Your API `client_id` and `client_secret` are available on the [User API
    Keys](https://app.kajabi.com/admin/settings/security) section of the Kajabi
    Admin Portal.
      * Custom API Keys can be created with specific permissions.
      * Click the "Create User API Key" button, enter a name (e.g. "My project"), select the user and permissions, and click "Create".
      * For security purposes, you may "Delete" or "Rotate" the api credentials at any time; which will invalidate any access tokens granted with the credentials.
    ## Video Walkthroughs

    *
    [Capabilities](https://drive.google.com/file/d/1Puc9B2sSdA-RQb7YMxmUXg4FVoEXytoc/view?usp=sharing)

    * [Getting
    Started](https://drive.google.com/file/d/1hbGRShkxven_QMWvgYrerHKURbcZrnvJ/view?usp=sharing)

    * [Error
    Examples](https://drive.google.com/file/d/1i0wQK71I1jpaZVsxYwsn62gVj40S_E7Y/view?usp=sharing)

    * [External Contact
    Form](https://drive.google.com/file/d/1HqpULXvan5TOK3LvM7nILCuCkCaX0kFT/view?usp=sharing)
  contact:
    email: support@kajabi.com
    name: Support
    url: >-
      https://help.kajabi.com/hc/en-us/articles/4404549690523-How-to-Get-Help-From-Kajabi-Live-Agents
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.kajabi.com
    description: Production
security: []
paths:
  /v1/form_submissions/{id}:
    get:
      tags:
        - Forms
      summary: Form submission details
      description: >
        Shows details of a form submission


        ## Form Submission Attributes

        * `name` (string) - The name of the person who submitted the form

        * `email` (string) - The email address of the person who submitted the
        form

        * `address_line_1` (string) - First line of address if provided

        * `address_line_2` (string) - Second line of address if provided

        * `address_city` (string) - City if provided

        * `address_country` (string) - Country if provided

        * `address_state` (string) - State if provided

        * `address_zip` (string) - ZIP/postal code if provided

        * `phone_number` (string) - Phone number if provided

        * `business_number` (string) - Business number if provided

        * `mobile_phone_number` (string) - Mobile phone number if provided


        ## Custom Fields

        Form submissions may also include custom field values that were
        collected through the form.


        ## Relationships

        Form submissions belong to:

        * A site

        * A form


        ## Include Related Resources

        Use the `include` parameter to load related resources:

        ### Include site and form

        * `GET /v1/form_submissions/123?include=site,form`
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: include
          in: query
          required: false
          description: Load the related resources, for example ?include=site,form
          schema:
            type: string
      responses:
        '200':
          description: Success, shows details of a form submission
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/form_submissions_show_response'
        '401':
          description: Unauthorized, Authorization header is missing or invalid
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_unauthorized'
        '403':
          description: Forbidden, insufficient permission to access the resource
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_forbidden'
        '404':
          description: Form submission not found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_not_found'
      security:
        - Bearer: []
components:
  schemas:
    form_submissions_show_response:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
            attributes:
              $ref: '#/components/schemas/form_submission_attributes'
            relationships:
              type: object
              properties:
                site:
                  type: object
                  properties:
                    data:
                      $ref: '#/components/schemas/resource_identifier'
                form:
                  type: object
                  properties:
                    data:
                      $ref: '#/components/schemas/resource_identifier'
    errors_unauthorized:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_forbidden:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_not_found:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    form_submission_attributes:
      type: object
      properties:
        name:
          type: string
        email:
          type: string
        phone_number:
          type:
            - string
            - 'null'
        business_number:
          type:
            - string
            - 'null'
        address_line_1:
          type:
            - string
            - 'null'
        address_line_2:
          type:
            - string
            - 'null'
        address_city:
          type:
            - string
            - 'null'
        address_state:
          type:
            - string
            - 'null'
        address_country:
          type:
            - string
            - 'null'
        address_zip:
          type:
            - string
            - 'null'
        custom_1:
          type: string
          nullable: true
          description: Support depends on custom fields of a site
        custom_2:
          type: string
          nullable: true
          description: Support depends on custom fields of a site
        custom_3:
          type: string
          nullable: true
          description: Support depends on custom fields of a site
    resource_identifier:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
      required:
        - id
        - type
    errors_attributes:
      type: object
      properties:
        status:
          type: string
        source:
          type: object
          nullable: true
          properties:
            pointer:
              type: string
        title:
          type: string
        detail:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````